## folks 0.11.4

=== debian/changelog ===
folks (0.11.4-1ubuntv4) eoan; urgency=medium

  * debian/patches/eds-Adapt-to-libebook-API-changes.patch: Cherry-pick. Build
    with EDS 3.33.2

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 14 Aug 2019 12:23:03 +0100

folks (0.11.4-1ubuntv3) disco; urgency=medium

  * Cherry-pick build fixes from upstream for vala 0.43.x
  * Actually rebuild all vala sources
  * Update libfolks25.symbols

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 21 Feb 2019 12:27:18 +0100

folks (0.11.4-1ubuntv2) disco; urgency=medium

  * No-change rebuild against latest evolution-data-server

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 07 Feb 2019 06:27:21 -0500

folks (0.11.4-1ubuntv1) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 21:10:24 +0100

folks (0.11.4-1ubuntu1) bionic; urgency=medium

  * No change rebuild for evolution-data-server transition

 -- Tim Lunn <tim@feathertop.org>  Sun, 04 Mar 2018 11:40:07 +1100

folks (0.11.4-1) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * Build-depend on libreadline-dev rather than libreadline6-dev.
    Closes: #857515.

  [ Laurent Bigonville ]
  * New upstream release.
  * debian/control: Bump Standards-Version to 4.0.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 03 Jul 2017 18:59:12 +0200

=== debian/control ===
Source: folks
Priority: optional
Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>,
           Emilio Pozuelo Monfort <pochu@debian.org>
Build-Depends: debhelper (>= 9.20160114~),
               dh-autoreconf (>= 4),
               autotools-dev,
               intltool (>= 0.50),
               libglib2.0-dev (>= 2.40),
               libtelepathy-glib-dev (>= 0.19.9),
               libdbus-glib-1-dev,
               valac (>= 0.22),
               gobject-introspection (>= 1.31.0-2~),
               libgirepository1.0-dev (>= 1.30),
               gir1.2-telepathyglib-0.12,
               libgee-0.8-dev (>= 0.8.4),
               libxml2-dev,
               libncurses5-dev,
               libreadline-dev,
               libebook1.2-dev (>= 3.33.2),
               libedataserver1.2-dev (>= 3.33.2),
               libebook-contacts1.2-dev (>= 3.33.2),
               libzeitgeist-2.0-dev (>= 0.9.14)
Standards-Version: 4.0.0
Section: libs
Homepage: https://wiki.gnome.org/Projects/Folks
Vcs-Git: https://anonscm.debian.org/git/pkg-telepathy/folks.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-telepathy/folks.git

Package: libfolks25
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         folks-common (= ${source:Version})
Recommends: libfolks-eds25,
Breaks: libfolks-eds25 (<< 0.8.0-2~), libfolks-telepathy25 (<< 0.8.0-2~)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: library to aggregates people into metacontacts
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.

Package: libfolks-dev
Section: libdevel
Architecture: any
Depends: libfolks25 (= ${binary:Version}),
         gir1.2-folks-0.6 (= ${binary:Version}),
         libglib2.0-dev (>= 2.40),
         libgee-0.8-dev,
         ${misc:Depends}
Description: library to aggregates people into metacontact - development files
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the development files for libfolks library.

Package: folks-common
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: library to aggregates people into metacontacts (common files)
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains common files (translations) used by folks components.

Package: gir1.2-folks-0.6
Architecture: any
Depends: ${shlibs:Depends},
         ${gir:Depends},
         ${misc:Depends}
Section: introspection
Description: library to aggregates people into metacontacts - GObject-Introspection
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 It can be used by packages using the GIRepository format to generate dynamic
 bindings.

Package: libfolks-telepathy25
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libfolks25 (= ${binary:Version})
Recommends: folks-common (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Telepathy backend for libfolks
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the Telepathy backend for libfolks

Package: libfolks-telepathy-dev
Section: libdevel
Architecture: any
Depends: libfolks-telepathy25 (= ${binary:Version}),
         libfolks-dev (= ${binary:Version}),
         libglib2.0-dev (>= 2.40),
         libtelepathy-glib-dev (>= 0.19.9),
         ${misc:Depends}
Description: Telepathy backend for libfolks - development files
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the development files for libfolks telepathy backend.

Package: libfolks-eds25
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libfolks25 (= ${binary:Version}),
         evolution-data-server (>= 3.2.0)
Recommends: folks-common (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Evolution-data-server backend for libfolks
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the EDS backend for libfolks

Package: libfolks-eds-dev
Section: libdevel
Architecture: any
Depends: libfolks-eds25 (= ${binary:Version}),
         libfolks-dev (= ${binary:Version}),
         libglib2.0-dev (>= 2.40),
         libebook1.2-dev (>= 3.13.90),
         libedataserver1.2-dev (>= 3.13.90),
         ${misc:Depends}
Description: Evolution-data-server backend for libfolks - development files
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the development files for libfolks EDS backend.

Package: libfolks-dummy25
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libfolks25 (= ${binary:Version})
Recommends: folks-common (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Breaks: libfolks25 (<< 0.10.0)
Replaces: libfolks25 (<< 0.10.0)
Multi-Arch: same
Description: Dummy backend for libfolks
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the dummy backend for libfolks

Package: libfolks-dummy-dev
Section: libdevel
Architecture: any
Depends: libfolks-dummy25 (= ${binary:Version}),
         libfolks-eds25 (= ${binary:Version}),
         libfolks-dev (= ${binary:Version}),
         libglib2.0-dev (>= 2.40),
         ${misc:Depends}
Description: Dummy backend for libfolks - development files
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the development files for libfolks dummy backend.

Package: folks-tools
Section: utils
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: folks-common (= ${source:Version})
Description: Telepathy backend for libfolks - database and import tools
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains tools to inspect the folks database and import
 metacontacts from pidgin

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Ensure at build time that the library has no dependencies on undefined
# symbols, and speed up loading.
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with autoreconf --with gir

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --enable-vala --enable-eds-backend \
		--enable-import-tool --enable-inspect-tool --enable-zeitgeist \
		--disable-ofono-backend --disable-bluez-backend \
		--disable-fatal-warnings

override_dh_auto_build:
	find . -name *_vala.stamp -print -delete	
	dh_auto_build

override_dh_strip:
	dh_strip -plibfolks25 --dbgsym-migration='libfolks-dbg (<< 0.11.2)'
	dh_strip -plibfolks-telepathy25 --dbgsym-migration='libfolks-telepathy-dbg (<< 0.11.2)'
	dh_strip -plibfolks-eds25 --dbgsym-migration='libfolks-eds-dbg (<< 0.11.2)'
	dh_strip -plibfolks-dummy25 --dbgsym-migration='libfolks-dummy-dbg (<< 0.11.2)'
	dh_strip -pfolks-tools

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
override_dh_makeshlibs:
	dh_makeshlibs -plibfolks25 -X/backends/
	dh_makeshlibs -plibfolks-telepathy25 -X/backends/
	dh_makeshlibs -plibfolks-eds25 -X/backends/
	dh_makeshlibs -plibfolks-dummy25 -X/backends/

override_dh_install:
	find debian/tmp -name *.la -print -delete
	dh_install --fail-missing

override_dh_auto_test:

## folks 0.13.1

=== meson_options.txt ===
# Backends
option('bluez_backend', type: 'boolean', value: true, description: 'build the Bluez backend')
option('eds_backend', type: 'boolean', value: true, description: 'build the E-D-S backend')
option('ofono_backend', type: 'boolean', value: true, description: 'build the oFono backend')
option('telepathy_backend', type: 'boolean', value: true, description: 'build the Telepathy backend')
option('tracker_backend', type: 'boolean', value: false, description: 'build the Tracker backend')
option('zeitgeist', type: 'boolean', value: false, description: 'build Zeitgeist support in the Telepathy backend')
# Tools
option('import_tool', type: 'boolean', value: true, description: 'Enable building the meta-contact import tool')
option('inspect_tool', type: 'boolean', value: true, description: 'Enable building the data inspection tool')
# Test options
option('installed_tests', type: 'boolean', value: false, description: 'Install test programs')
# Docs
option('docs', type: 'boolean', value: false, description: 'Enable documentation generation')

=== debian/changelog ===
folks (0.13.1-1) unstable; urgency=medium

  * New upstream version 0.13.1
  * Acknowledge NMU, thanks Simon (Closes: #941472)
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * The package now uses meson, adjust the build-dependencies and the options
    passed to the configure
  * Drop d/p/eds-Adapt-to-libebook-API-changes.patch, applied upstream
  * debian/folks-common.install: Drop GConf to gsettings convert file
  * debian/*.symbols: Drop private symbols not exported anymore
  * debian/watch: Use https://
  * debian/control: Bump folks-tools priority to option, extra is deprecated
  * Install .typelib files in the multiarch directory
  * debian/*.symbols: Add the Build-Depends-Package field
  * Bump debhelper compatibility to 12
  * debian/control: Update Vcs-* fields to the gnome-team repository
  * Move the package under the GNOME team maintenance and use the gnome dh
    sequence

 -- Laurent Bigonville <bigon@debian.org>  Sat, 02 Nov 2019 13:49:28 +0100

folks (0.11.4-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Upload to unstable, now that evolution-data-server 3.34.0-3 has been
    uploaded to unstable
  * Temporarily disable zeitgeist support, as discussed with
    Emilio Pozuelo Monfort and Laurent Bigonville on #debian-gnome,
    to decouple the GNOME 3.34 transitions from getting a version of
    zeitgeist that is compatible with Vala 0.46

 -- Simon McVittie <smcv@debian.org>  Tue, 01 Oct 2019 08:56:49 +0100

folks (0.11.4-1.1) experimental; urgency=medium

  * Non-maintainer upload

  [ Iain Lane ]
  * debian/patches/eds-Adapt-to-libebook-API-changes.patch: Cherry-pick. Build
    with EDS 3.33.2 (Closes: #934745)

  [ Simon McVittie ]
  * Update Vcs-*

 -- Simon McVittie <smcv@debian.org>  Wed, 11 Sep 2019 11:57:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
+# This file is autogenerated. DO NOT EDIT!
+#
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
 Source: folks
 Priority: optional
-Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
-Uploaders: Laurent Bigonville <bigon@debian.org>,
-           Sjoerd Simons <sjoerd@debian.org>,
-           Emilio Pozuelo Monfort <pochu@debian.org>
-Build-Depends: debhelper (>= 9.20160114~),
-               dh-autoreconf (>= 4),
-               autotools-dev,
-               intltool (>= 0.50),
-               libglib2.0-dev (>= 2.40),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper (>= 12),
+               dh-sequence-gnome,
+               meson,
+               libglib2.0-dev (>= 2.44),
                libtelepathy-glib-dev (>= 0.19.9),
                libdbus-glib-1-dev,
                valac (>= 0.22),
@@ -17,17 +18,15 @@
                gir1.2-telepathyglib-0.12,
                libgee-0.8-dev (>= 0.8.4),
                libxml2-dev,
-               libncurses5-dev,
                libreadline-dev,
                libebook1.2-dev (>= 3.33.2),
                libedataserver1.2-dev (>= 3.33.2),
-               libebook-contacts1.2-dev (>= 3.33.2),
-               libzeitgeist-2.0-dev (>= 0.9.14)
-Standards-Version: 4.0.0
+               libebook-contacts1.2-dev (>= 3.33.2)
+Standards-Version: 4.4.1
 Section: libs
 Homepage: https://wiki.gnome.org/Projects/Folks
-Vcs-Git: https://anonscm.debian.org/git/pkg-telepathy/folks.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-telepathy/folks.git
+Vcs-Git: https://salsa.debian.org/gnome-team/folks.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/folks
 
 Package: libfolks25
 Architecture: any
@@ -74,6 +73,7 @@
 Depends: ${shlibs:Depends},
          ${gir:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Section: introspection
 Description: library to aggregates people into metacontacts - GObject-Introspection
  libfolks is a library that aggregates people from multiple sources
@@ -179,7 +179,6 @@
 
 Package: folks-tools
 Section: utils
-Priority: extra
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: folks-common (= ${source:Version})

=== debian/rules ===
--- 
+++ 
@@ -9,20 +9,12 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
 %:
-	dh $@ --with autoreconf --with gir
-
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
+	dh $@ --with gir,gnome
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-vala --enable-eds-backend \
-		--enable-import-tool --enable-inspect-tool --enable-zeitgeist \
-		--disable-ofono-backend --disable-bluez-backend \
-		--disable-fatal-warnings
-
-override_dh_auto_build:
-	find . -name *_vala.stamp -print -delete	
-	dh_auto_build
+	dh_auto_configure -- -Deds_backend=true \
+		-Dimport_tool=true -Dinspect_tool=true -Dzeitgeist=false \
+		-Dofono_backend=false -Dbluez_backend=false
 
 override_dh_strip:
 	dh_strip -plibfolks25 --dbgsym-migration='libfolks-dbg (<< 0.11.2)'
@@ -38,8 +30,7 @@
 	dh_makeshlibs -plibfolks-eds25 -X/backends/
 	dh_makeshlibs -plibfolks-dummy25 -X/backends/
 
-override_dh_install:
-	find debian/tmp -name *.la -print -delete
-	dh_install --fail-missing
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_auto_test:

## folks 0.13.2

=== meson_options.txt ===
--- 
+++ 
@@ -8,6 +8,8 @@
 # Tools
 option('import_tool', type: 'boolean', value: true, description: 'Enable building the meta-contact import tool')
 option('inspect_tool', type: 'boolean', value: true, description: 'Enable building the data inspection tool')
+# Profiling
+option('profiling', type: 'boolean', value: false, description: 'Enable profiling code')
 # Test options
 option('installed_tests', type: 'boolean', value: false, description: 'Install test programs')
 # Docs

=== debian/changelog ===
folks (0.13.2-1) unstable; urgency=medium

  [ Simon McVittie ]
  * d/gbp.conf: Align with other GNOME Team packages
  * New upstream release
  * Update build-dependencies
  * Drop migration path from -dbg packages older than oldstable
  * Use debhelper-compat build-dependency instead of debian/compat
  * Use versioned copyright format URI.
  * Update copyright file header to use current field names (Name =>
    Upstream-Name, Maintainer => Upstream-Contact)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete Upstream-Contact
  * Standards-Version: 4.5.0 (no changes required)
  * Install new GConf -> gsettings conversion
  * Set Rules-Requires-Root to no
  * Add Provides for gir1.2-folkstelepathy-0.6 etc.

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Mar 2020 21:14:34 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
-               meson,
+               evolution-data-server-dev (>= 3.33.2),
+               meson (>= 0.51),
                libglib2.0-dev (>= 2.44),
                libtelepathy-glib-dev (>= 0.19.9),
                libdbus-glib-1-dev,
@@ -21,8 +22,11 @@
                libreadline-dev,
                libebook1.2-dev (>= 3.33.2),
                libedataserver1.2-dev (>= 3.33.2),
-               libebook-contacts1.2-dev (>= 3.33.2)
-Standards-Version: 4.4.1
+               libebook-contacts1.2-dev (>= 3.33.2),
+               python3,
+               python3-dbusmock,
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://wiki.gnome.org/Projects/Folks
 Vcs-Git: https://salsa.debian.org/gnome-team/folks.git
@@ -73,6 +77,9 @@
 Depends: ${shlibs:Depends},
          ${gir:Depends},
          ${misc:Depends}
+Provides: gir1.2-folksdummy-0.6 (= ${binary:Version}),
+          gir1.2-folkseds-0.6 (= ${binary:Version}),
+          gir1.2-folkstelepathy-0.6 (= ${binary:Version}),
 Multi-Arch: same
 Section: introspection
 Description: library to aggregates people into metacontacts - GObject-Introspection

=== debian/rules ===
--- 
+++ 
@@ -16,13 +16,6 @@
 		-Dimport_tool=true -Dinspect_tool=true -Dzeitgeist=false \
 		-Dofono_backend=false -Dbluez_backend=false
 
-override_dh_strip:
-	dh_strip -plibfolks25 --dbgsym-migration='libfolks-dbg (<< 0.11.2)'
-	dh_strip -plibfolks-telepathy25 --dbgsym-migration='libfolks-telepathy-dbg (<< 0.11.2)'
-	dh_strip -plibfolks-eds25 --dbgsym-migration='libfolks-eds-dbg (<< 0.11.2)'
-	dh_strip -plibfolks-dummy25 --dbgsym-migration='libfolks-dummy-dbg (<< 0.11.2)'
-	dh_strip -pfolks-tools
-
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 override_dh_makeshlibs:
 	dh_makeshlibs -plibfolks25 -X/backends/

=== debian/watch ===
version=3
https://ftp.gnome.org/pub/GNOME/sources/folks/([0-9.]+)/folks-(.*).tar.xz

## folks 0.14.0

=== debian/changelog ===
folks (0.14.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Adjust the Copyright holders (Closes: #956286)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 20 Apr 2020 09:35:30 +0200

folks (0.13.2-2) unstable; urgency=medium

  * debian/control.in: Mark the -dev packages as multi-arch same
  * Build the documentation and create new -doc packages (Closes: #679740)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Mar 2020 21:45:34 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: folks
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-sequence-gnome,
               evolution-data-server-dev (>= 3.33.2),
               gir1.2-telepathyglib-0.12,
               gobject-introspection (>= 1.31.0-2~),
               libdbus-glib-1-dev,
               libebook-contacts1.2-dev (>= 3.33.2),
               libebook1.2-dev (>= 3.33.2),
               libedataserver1.2-dev (>= 3.33.2),
               libgee-0.8-dev (>= 0.8.4),
               libgirepository1.0-dev (>= 1.30),
               libglib2.0-dev (>= 2.44),
               libreadline-dev,
               libtelepathy-glib-dev (>= 0.19.9),
               libxml2-dev,
               meson (>= 0.51),
               python3,
               python3-dbusmock,
               valac (>= 0.22)
Build-Depends-Indep: gtk-doc-tools <!nodoc>, valadoc <!nodoc>
Rules-Requires-Root: no
Standards-Version: 4.5.0
Section: libs
Homepage: https://wiki.gnome.org/Projects/Folks
Vcs-Git: https://salsa.debian.org/gnome-team/folks.git
Vcs-Browser: https://salsa.debian.org/gnome-team/folks

Package: libfolks25
Architecture: any
Depends: folks-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libfolks-eds25
Breaks: libfolks-eds25 (<< 0.8.0-2~),
        libfolks-telepathy25 (<< 0.8.0-2~)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: library to aggregates people into metacontacts
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.

Package: libfolks-dev
Section: libdevel
Architecture: any
Depends: gir1.2-folks-0.6 (= ${binary:Version}),
         libfolks25 (= ${binary:Version}),
         libgee-0.8-dev,
         libglib2.0-dev (>= 2.40),
         ${misc:Depends}
Multi-Arch: same
Description: library to aggregates people into metacontact - development files
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the development files for libfolks library.

Package: libfolks-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Build-Profiles: <!nodoc>
Multi-arch: foreign
Description: library to aggregates people into metacontact - documentation
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the documentation for libfolks library.

Package: folks-common
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: library to aggregates people into metacontacts (common files)
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains common files (translations) used by folks components.

Package: gir1.2-folks-0.6
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: gir1.2-folksdummy-0.6 (= ${binary:Version}),
          gir1.2-folkseds-0.6 (= ${binary:Version}),
          gir1.2-folkstelepathy-0.6 (= ${binary:Version})
Multi-Arch: same
Section: introspection
Description: library to aggregates people into metacontacts - GObject-Introspection
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 It can be used by packages using the GIRepository format to generate dynamic
 bindings.

Package: libfolks-telepathy25
Architecture: any
Depends: libfolks25 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: folks-common (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Telepathy backend for libfolks
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the Telepathy backend for libfolks

Package: libfolks-telepathy-dev
Section: libdevel
Architecture: any
Depends: libfolks-dev (= ${binary:Version}),
         libfolks-telepathy25 (= ${binary:Version}),
         libglib2.0-dev (>= 2.40),
         libtelepathy-glib-dev (>= 0.19.9),
         ${misc:Depends}
Multi-Arch: same
Description: Telepathy backend for libfolks - development files
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the development files for libfolks telepathy backend.

Package: libfolks-telepathy-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Build-Profiles: <!nodoc>
Multi-arch: foreign
Description: Telepathy backend for libfolks - documentation
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the documentation for libfolks telepathy backend.

Package: libfolks-eds25
Architecture: any
Depends: evolution-data-server (>= 3.2.0),
         libfolks25 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: folks-common (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Evolution-data-server backend for libfolks
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the EDS backend for libfolks

Package: libfolks-eds-dev
Section: libdevel
Architecture: any
Depends: libebook1.2-dev (>= 3.13.90),
         libedataserver1.2-dev (>= 3.13.90),
         libfolks-dev (= ${binary:Version}),
         libfolks-eds25 (= ${binary:Version}),
         libglib2.0-dev (>= 2.40),
         ${misc:Depends}
Multi-Arch: same
Description: Evolution-data-server backend for libfolks - development files
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the development files for libfolks EDS backend.

Package: libfolks-eds-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Build-Profiles: <!nodoc>
Multi-arch: foreign
Description: Evolution-data-server backend for libfolks - documentation
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the documentation for libfolks EDS backend.

Package: libfolks-dummy25
Architecture: any
Depends: libfolks25 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: folks-common (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Breaks: libfolks25 (<< 0.10.0)
Replaces: libfolks25 (<< 0.10.0)
Multi-Arch: same
Description: Dummy backend for libfolks
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the dummy backend for libfolks

Package: libfolks-dummy-dev
Section: libdevel
Architecture: any
Depends: libfolks-dev (= ${binary:Version}),
         libfolks-dummy25 (= ${binary:Version}),
         libfolks-eds25 (= ${binary:Version}),
         libglib2.0-dev (>= 2.40),
         ${misc:Depends}
Multi-Arch: same
Description: Dummy backend for libfolks - development files
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the development files for libfolks dummy backend.

Package: libfolks-dummy-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Build-Profiles: <!nodoc>
Multi-arch: foreign
Description: Dummy backend for libfolks - documentation
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the documentation for libfolks dummy backend.

Package: folks-tools
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: folks-common (= ${source:Version})
Description: Telepathy backend for libfolks - database and import tools
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains tools to inspect the folks database and import
 metacontacts from pidgin

=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,22 @@
 # symbols, and speed up loading.
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
+BUILD_DOC:=-Ddocs=false
+# only build if the profile nodoc is NOT set
+ifeq ($(filter nodoc, $(DEB_BUILD_OPTIONS)),)
+# and valadoc is installed
+ifneq ($(shell which valadoc),)
+  BUILD_DOC:=-Ddocs=true
+endif
+endif
+
 %:
 	dh $@ --with gir,gnome
 
 override_dh_auto_configure:
 	dh_auto_configure -- -Deds_backend=true \
 		-Dimport_tool=true -Dinspect_tool=true -Dzeitgeist=false \
-		-Dofono_backend=false -Dbluez_backend=false
+		-Dofono_backend=false -Dbluez_backend=false $(BUILD_DOC)
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 override_dh_makeshlibs:

## folks 0.15.5

=== meson_options.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 option('eds_backend', type: 'boolean', value: true, description: 'build the E-D-S backend')
 option('ofono_backend', type: 'boolean', value: true, description: 'build the oFono backend')
 option('telepathy_backend', type: 'boolean', value: true, description: 'build the Telepathy backend')
-option('tracker_backend', type: 'boolean', value: false, description: 'build the Tracker backend')
 option('zeitgeist', type: 'boolean', value: false, description: 'build Zeitgeist support in the Telepathy backend')
 # Tools
 option('import_tool', type: 'boolean', value: true, description: 'Enable building the meta-contact import tool')
@@ -11,6 +10,7 @@
 # Profiling
 option('profiling', type: 'boolean', value: false, description: 'Enable profiling code')
 # Test options
+option('tests', type: 'boolean', value: true, description: 'Build tests programs')
 option('installed_tests', type: 'boolean', value: false, description: 'Install test programs')
 # Docs
 option('docs', type: 'boolean', value: false, description: 'Enable documentation generation')

=== debian/changelog ===
folks (0.15.5-2) unstable; urgency=medium

  * debian/rules: don't ignore test failures

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 25 Mar 2022 13:18:14 -0400

folks (0.15.5-1) unstable; urgency=medium

  * New upstream release
  * debian/libfolks26.symbols: Add new symbols
  * debian/rules: don't run tests in parallel

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 24 Mar 2022 15:04:47 -0400

folks (0.15.4-1) unstable; urgency=medium

  * New upstream release
  * Drop patch: applied in new release
  * debian/libfolks-eds26.symbols: Add new symbols
  * debian/control.in: Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 22 Jan 2022 14:12:22 -0500

folks (0.15.3-4) unstable; urgency=medium

  * debian/rules: Make build-tests non-fatal for now and
    increase timeout multiplier

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 24 Oct 2021 10:00:56 -0400

folks (0.15.3-3) unstable; urgency=medium

  * Cherry-pick patch to fix build with latest evolution-data-server
    (Closes: #997207)
  * Bump debhelper-compat to 13
  * Build-Depend on dh-sequence-gir
  * debian/rules: Drop unneeded -Wl,--as-needed
  * debian/rules: Enable all hardening flags
  * debian/rules: Run dh_auto_test
  * debian/control.in: Build-Depend on evolution-data-server for build tests

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 24 Oct 2021 08:52:33 -0400

folks (0.15.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Sun, 05 Sep 2021 22:09:18 +0200

folks (0.15.3-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump evolution-data-server-dev and libglib2.0-dev
    (build-)dependency
  * Bump the soname from 25 to 26
  * debian/watch: Bump version to 4

 -- Laurent Bigonville <bigon@debian.org>  Wed, 18 Aug 2021 16:09:56 +0200

=== debian/control ===
--- 
+++ 
@@ -5,42 +5,40 @@
 Source: folks
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
                dh-sequence-gnome,
-               evolution-data-server-dev (>= 3.33.2),
+               evolution-data-server (>=3.38) <!nocheck>,
+               evolution-data-server-dev (>= 3.38),
                gir1.2-telepathyglib-0.12,
-               gobject-introspection (>= 1.31.0-2~),
                libdbus-glib-1-dev,
                libebook-contacts1.2-dev (>= 3.33.2),
                libebook1.2-dev (>= 3.33.2),
                libedataserver1.2-dev (>= 3.33.2),
                libgee-0.8-dev (>= 0.8.4),
                libgirepository1.0-dev (>= 1.30),
-               libglib2.0-dev (>= 2.44),
+               libglib2.0-dev (>= 2.58),
                libreadline-dev,
                libtelepathy-glib-dev (>= 0.19.9),
                libxml2-dev,
                meson (>= 0.51),
-               python3,
                python3-dbusmock,
                valac (>= 0.22)
 Build-Depends-Indep: gtk-doc-tools <!nodoc>, valadoc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Section: libs
 Homepage: https://wiki.gnome.org/Projects/Folks
 Vcs-Git: https://salsa.debian.org/gnome-team/folks.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/folks
 
-Package: libfolks25
+Package: libfolks26
 Architecture: any
 Depends: folks-common (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: libfolks-eds25
-Breaks: libfolks-eds25 (<< 0.8.0-2~),
-        libfolks-telepathy25 (<< 0.8.0-2~)
+Recommends: libfolks-eds26
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: library to aggregates people into metacontacts
@@ -51,10 +49,10 @@
 Package: libfolks-dev
 Section: libdevel
 Architecture: any
-Depends: gir1.2-folks-0.6 (= ${binary:Version}),
-         libfolks25 (= ${binary:Version}),
+Depends: gir1.2-folks-0.7 (= ${binary:Version}),
+         libfolks26 (= ${binary:Version}),
          libgee-0.8-dev,
-         libglib2.0-dev (>= 2.40),
+         libglib2.0-dev (>= 2.58),
          ${misc:Depends}
 Multi-Arch: same
 Description: library to aggregates people into metacontact - development files
@@ -89,14 +87,14 @@
  .
  This package contains common files (translations) used by folks components.
 
-Package: gir1.2-folks-0.6
+Package: gir1.2-folks-0.7
 Architecture: any
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: gir1.2-folksdummy-0.6 (= ${binary:Version}),
-          gir1.2-folkseds-0.6 (= ${binary:Version}),
-          gir1.2-folkstelepathy-0.6 (= ${binary:Version})
+Provides: gir1.2-folksdummy-0.7 (= ${binary:Version}),
+          gir1.2-folkseds-0.7 (= ${binary:Version}),
+          gir1.2-folkstelepathy-0.7 (= ${binary:Version})
 Multi-Arch: same
 Section: introspection
 Description: library to aggregates people into metacontacts - GObject-Introspection
@@ -107,9 +105,9 @@
  It can be used by packages using the GIRepository format to generate dynamic
  bindings.
 
-Package: libfolks-telepathy25
-Architecture: any
-Depends: libfolks25 (= ${binary:Version}),
+Package: libfolks-telepathy26
+Architecture: any
+Depends: libfolks26 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: folks-common (= ${source:Version})
@@ -126,8 +124,8 @@
 Section: libdevel
 Architecture: any
 Depends: libfolks-dev (= ${binary:Version}),
-         libfolks-telepathy25 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.40),
+         libfolks-telepathy26 (= ${binary:Version}),
+         libglib2.0-dev (>= 2.58),
          libtelepathy-glib-dev (>= 0.19.9),
          ${misc:Depends}
 Multi-Arch: same
@@ -152,10 +150,10 @@
  .
  This package contains the documentation for libfolks telepathy backend.
 
-Package: libfolks-eds25
-Architecture: any
-Depends: evolution-data-server (>= 3.2.0),
-         libfolks25 (= ${binary:Version}),
+Package: libfolks-eds26
+Architecture: any
+Depends: evolution-data-server (>= 3.38),
+         libfolks26 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: folks-common (= ${source:Version})
@@ -174,8 +172,8 @@
 Depends: libebook1.2-dev (>= 3.13.90),
          libedataserver1.2-dev (>= 3.13.90),
          libfolks-dev (= ${binary:Version}),
-         libfolks-eds25 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.40),
+         libfolks-eds26 (= ${binary:Version}),
+         libglib2.0-dev (>= 2.58),
          ${misc:Depends}
 Multi-Arch: same
 Description: Evolution-data-server backend for libfolks - development files
@@ -199,15 +197,13 @@
  .
  This package contains the documentation for libfolks EDS backend.
 
-Package: libfolks-dummy25
-Architecture: any
-Depends: libfolks25 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: folks-common (= ${source:Version})
-Pre-Depends: ${misc:Pre-Depends}
-Breaks: libfolks25 (<< 0.10.0)
-Replaces: libfolks25 (<< 0.10.0)
+Package: libfolks-dummy26
+Architecture: any
+Depends: libfolks26 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: folks-common (= ${source:Version})
+Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Dummy backend for libfolks
  libfolks is a library that aggregates people from multiple sources
@@ -220,9 +216,9 @@
 Section: libdevel
 Architecture: any
 Depends: libfolks-dev (= ${binary:Version}),
-         libfolks-dummy25 (= ${binary:Version}),
-         libfolks-eds25 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.40),
+         libfolks-dummy26 (= ${binary:Version}),
+         libfolks-eds26 (= ${binary:Version}),
+         libglib2.0-dev (>= 2.58),
          ${misc:Depends}
 Multi-Arch: same
 Description: Dummy backend for libfolks - development files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

BUILD_DOC:=-Ddocs=false
# only build if the profile nodoc is NOT set
ifeq ($(filter nodoc, $(DEB_BUILD_OPTIONS)),)
# and valadoc is installed
ifneq ($(shell which valadoc),)
  BUILD_DOC:=-Ddocs=true
endif
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Deds_backend=true \
		-Dimport_tool=true -Dinspect_tool=true -Dzeitgeist=false \
		-Dofono_backend=false -Dbluez_backend=false $(BUILD_DOC)

override_dh_makeshlibs:
	dh_makeshlibs -plibfolks26 -X/backends/
	dh_makeshlibs -plibfolks-telepathy26 -X/backends/
	dh_makeshlibs -plibfolks-eds26 -X/backends/
	dh_makeshlibs -plibfolks-dummy26 -X/backends/

override_dh_auto_test:
	dh_auto_test --no-parallel -- --timeout-multiplier 3

## folks 0.15.6

=== debian/changelog ===
folks (0.15.6-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.57
  * debian/libfolks26.symbols: Add new symbols
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 16 Jun 2023 09:36:50 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Source: folks
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -22,12 +22,12 @@
                libreadline-dev,
                libtelepathy-glib-dev (>= 0.19.9),
                libxml2-dev,
-               meson (>= 0.51),
+               meson (>= 0.57),
                python3-dbusmock,
                valac (>= 0.22)
 Build-Depends-Indep: gtk-doc-tools <!nodoc>, valadoc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://wiki.gnome.org/Projects/Folks
 Vcs-Git: https://salsa.debian.org/gnome-team/folks.git
@@ -39,7 +39,6 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: libfolks-eds26
-Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: library to aggregates people into metacontacts
  libfolks is a library that aggregates people from multiple sources
@@ -68,7 +67,7 @@
 Depends: ${misc:Depends}
 Suggests: devhelp
 Build-Profiles: <!nodoc>
-Multi-arch: foreign
+Multi-Arch: foreign
 Description: library to aggregates people into metacontact - documentation
  libfolks is a library that aggregates people from multiple sources
  (eg, Telepathy connection managers and eventually evolution data server,
@@ -111,7 +110,6 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: folks-common (= ${source:Version})
-Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Telepathy backend for libfolks
  libfolks is a library that aggregates people from multiple sources
@@ -142,7 +140,7 @@
 Depends: ${misc:Depends}
 Suggests: devhelp
 Build-Profiles: <!nodoc>
-Multi-arch: foreign
+Multi-Arch: foreign
 Description: Telepathy backend for libfolks - documentation
  libfolks is a library that aggregates people from multiple sources
  (eg, Telepathy connection managers and eventually evolution data server,
@@ -157,7 +155,6 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: folks-common (= ${source:Version})
-Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Evolution-data-server backend for libfolks
  libfolks is a library that aggregates people from multiple sources
@@ -189,7 +186,7 @@
 Depends: ${misc:Depends}
 Suggests: devhelp
 Build-Profiles: <!nodoc>
-Multi-arch: foreign
+Multi-Arch: foreign
 Description: Evolution-data-server backend for libfolks - documentation
  libfolks is a library that aggregates people from multiple sources
  (eg, Telepathy connection managers and eventually evolution data server,
@@ -203,7 +200,6 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: folks-common (= ${source:Version})
-Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Dummy backend for libfolks
  libfolks is a library that aggregates people from multiple sources
@@ -234,7 +230,7 @@
 Depends: ${misc:Depends}
 Suggests: devhelp
 Build-Profiles: <!nodoc>
-Multi-arch: foreign
+Multi-Arch: foreign
 Description: Dummy backend for libfolks - documentation
  libfolks is a library that aggregates people from multiple sources
  (eg, Telepathy connection managers and eventually evolution data server,

## folks 0.15.7

=== debian/changelog ===
folks (0.15.7-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jan 2024 14:01:41 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,7 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: folks
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,

=== debian/rules ===
--- 
+++ 
@@ -33,3 +33,5 @@
 
 override_dh_auto_test:
 	dh_auto_test --no-parallel -- --timeout-multiplier 3
+
+override_dh_gnome_clean:
